@wocart/storefront / index / OtpSendResult
Type Alias: OtpSendResult
OtpSendResult = {
expiresAt:number;maxAttempts:number;requestId:string;status:"sent"; } | {bypassToken:string;reason:string;status:"unavailable"; }
POST /store/otp/send success payload.
Union Members
Type Literal
{ expiresAt: number; maxAttempts: number; requestId: string; status: "sent"; }
expiresAt
expiresAt:
number
Unix milliseconds.
maxAttempts
maxAttempts:
number
requestId
requestId:
string
status
status:
"sent"
Type Literal
{ bypassToken: string; reason: string; status: "unavailable"; }
bypassToken
bypassToken:
string
reason
reason:
string
status
status:
"unavailable"
Fail-open: checkout proceeds unverified with the bypass token.